Package com.google.protobuf

## Interface DescriptorProtos.OneofDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.OneofDescriptorProto`, `DescriptorProtos.OneofDescriptorProto.Builder`

Enclosing class:
  DescriptorProtos

    public static interface DescriptorProtos.OneofDescriptorProtoOrBuilder
    extends MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` `optional string name = 1;`
`ByteString` `getNameBytes()` `optional string name = 1;`
`boolean` `hasName()` `optional string name = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasName

    boolean hasName()

`optional string name = 1;`

#### getName

    java.lang.String getName()

`optional string name = 1;`

#### getNameBytes

    ByteString getNameBytes()

`optional string name = 1;`